summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-devel/scratchbox')
-rw-r--r--sys-devel/scratchbox/ChangeLog4
-rw-r--r--sys-devel/scratchbox/Manifest17
-rw-r--r--sys-devel/scratchbox/files/digest-scratchbox-0.9.8.86
-rw-r--r--sys-devel/scratchbox/scratchbox-0.9.8.8.ebuild114
4 files changed, 137 insertions, 4 deletions
diff --git a/sys-devel/scratchbox/ChangeLog b/sys-devel/scratchbox/ChangeLog
index e91b83ee3..fc1b57614 100644
--- a/sys-devel/scratchbox/ChangeLog
+++ b/sys-devel/scratchbox/ChangeLog
@@ -2,6 +2,10 @@
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 25 Jul 2006; Tiziano Müller <gentoo@dev-zero.ch>
+ +scratchbox-0.9.8.8.ebuild:
+ Version bump to v0.9.8.8
+
02 Jul 2006; Tiziano Müller <gentoo@dev-zero.ch> ChangeLog:
Added pkg_config() and removed some of the many einfos
diff --git a/sys-devel/scratchbox/Manifest b/sys-devel/scratchbox/Manifest
index 53d2ffcdc..e3aa8d401 100644
--- a/sys-devel/scratchbox/Manifest
+++ b/sys-devel/scratchbox/Manifest
@@ -3,15 +3,21 @@ MD5 39ed34f83ec9d1021243093da3146ac0 files/scratchbox.rc 409
RMD160 bbf43d3a75801d02213ca4e28d1d0d7830704b00 files/scratchbox.rc 409
SHA256 49373f4803b98783652fdf285e22898e74b6cc40e365ec0af33251034d93b064 files/scratchbox.rc 409
DIST scratchbox-core-0.9.8.7.tar.gz 77021913 RMD160 f50050e98e9534b3c7745f3e89f9db3d6490694c SHA1 1eff87d0dda76919ca5605e6f6ba99f0efb6762b SHA256 f4a13a17b1d4a07e200b1323c2f7dc7a8f180f84e29a7f7cea7244d0b3fba4e1
+DIST scratchbox-core-0.9.8.8.tar.gz 77349423 RMD160 8f4823c7789dc339afce284d4641128871970d34 SHA1 48f710394ca41de827832dd3920052a7a4e402e0 SHA256 d6327f5156e2cf90960b80774e724ee809222d8225a7dad3b3b1095f364d6f7f
DIST scratchbox-libs-0.9.8.7.tar.gz 13670961 RMD160 a3f13065aee341243b005488f833f46e76955d93 SHA1 8091812434f6f6f0c5f3b647df43858cb8909bdf SHA256 42444908ba79ef9428117ed586026b6d6aed9d2e325bc55d194a2591d54b35d6
+DIST scratchbox-libs-0.9.8.8.tar.gz 13671293 RMD160 9b6eb767e7a653017b90c86802ef83262af382f4 SHA1 2f9c145831181a3a02da858ab11c02fff64649b9 SHA256 b93d1edc4233df00f9bb4cadac85b97852b5813e4f7481ab4e513ae471ed228f
EBUILD scratchbox-0.9.8.7.ebuild 3008 RMD160 10ee1cce135600a0963a290baabbee6ee8d8ce39 SHA1 5097eae2f040249a29866e3ba1f9c9e9a64c6c64 SHA256 df7be93c19dc552fe5dcb09cbc3cafa3d85a0f34cc95d00ca3d4a08e8fc72a5e
MD5 231295ec46243791c5e3984e689a4827 scratchbox-0.9.8.7.ebuild 3008
RMD160 10ee1cce135600a0963a290baabbee6ee8d8ce39 scratchbox-0.9.8.7.ebuild 3008
SHA256 df7be93c19dc552fe5dcb09cbc3cafa3d85a0f34cc95d00ca3d4a08e8fc72a5e scratchbox-0.9.8.7.ebuild 3008
-MISC ChangeLog 379 RMD160 a2e77774aad6f7fd31f8d95b44eab6b768cacd5c SHA1 bcf2402bb117eefd27fc9f7c14a93af4fc4a242d SHA256 b0dc4d7b5236becc14d1ffe12d11483e3673f330745dd6db03d1eee0b49d04a9
-MD5 63f887d44c594cde8d2463221e9c02cb ChangeLog 379
-RMD160 a2e77774aad6f7fd31f8d95b44eab6b768cacd5c ChangeLog 379
-SHA256 b0dc4d7b5236becc14d1ffe12d11483e3673f330745dd6db03d1eee0b49d04a9 ChangeLog 379
+EBUILD scratchbox-0.9.8.8.ebuild 3008 RMD160 10ee1cce135600a0963a290baabbee6ee8d8ce39 SHA1 5097eae2f040249a29866e3ba1f9c9e9a64c6c64 SHA256 df7be93c19dc552fe5dcb09cbc3cafa3d85a0f34cc95d00ca3d4a08e8fc72a5e
+MD5 231295ec46243791c5e3984e689a4827 scratchbox-0.9.8.8.ebuild 3008
+RMD160 10ee1cce135600a0963a290baabbee6ee8d8ce39 scratchbox-0.9.8.8.ebuild 3008
+SHA256 df7be93c19dc552fe5dcb09cbc3cafa3d85a0f34cc95d00ca3d4a08e8fc72a5e scratchbox-0.9.8.8.ebuild 3008
+MISC ChangeLog 489 RMD160 1f24dd032351519c8fd725f5d0c5c53d90d4424e SHA1 6a0200f486ca40d16310f7b94e3b1a4865e85046 SHA256 688ff82cd8990e5ff63e33f305cda976b9f15d3573aeddbeb059a5105b5db090
+MD5 57e5a78f9f2bd5931c9d03cd5e1f04a0 ChangeLog 489
+RMD160 1f24dd032351519c8fd725f5d0c5c53d90d4424e ChangeLog 489
+SHA256 688ff82cd8990e5ff63e33f305cda976b9f15d3573aeddbeb059a5105b5db090 ChangeLog 489
MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
MD5 1e678929a9fec6632e227bdf2262e9a1 metadata.xml 170
RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 metadata.xml 170
@@ -19,3 +25,6 @@ SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42 metadata
MD5 fa150dd7d88329f19bae6a2ff60c7b09 files/digest-scratchbox-0.9.8.7 554
RMD160 4548b3d3c4ef5556f096d819b044a23c5b1abb94 files/digest-scratchbox-0.9.8.7 554
SHA256 03052faec2892245c5284b0d6d1f85c9904470f5a2c81455291ddffbfd96f9d6 files/digest-scratchbox-0.9.8.7 554
+MD5 31f6c3f743a7c78c8c0f841e4b168d59 files/digest-scratchbox-0.9.8.8 554
+RMD160 c4dfa3a6c190a9dd06e10f7e4d34c997c53fa487 files/digest-scratchbox-0.9.8.8 554
+SHA256 e63f4f2918bc915ab39602b603682edacc29cac259662ba131501f2f6d7eb005 files/digest-scratchbox-0.9.8.8 554
diff --git a/sys-devel/scratchbox/files/digest-scratchbox-0.9.8.8 b/sys-devel/scratchbox/files/digest-scratchbox-0.9.8.8
new file mode 100644
index 000000000..a5dfb8d8d
--- /dev/null
+++ b/sys-devel/scratchbox/files/digest-scratchbox-0.9.8.8
@@ -0,0 +1,6 @@
+MD5 05a080c5ab0d606f80554c4ea456a59b scratchbox-core-0.9.8.8.tar.gz 77349423
+RMD160 8f4823c7789dc339afce284d4641128871970d34 scratchbox-core-0.9.8.8.tar.gz 77349423
+SHA256 d6327f5156e2cf90960b80774e724ee809222d8225a7dad3b3b1095f364d6f7f scratchbox-core-0.9.8.8.tar.gz 77349423
+MD5 2081dca56cddfd72b2761c46c4d9bf06 scratchbox-libs-0.9.8.8.tar.gz 13671293
+RMD160 9b6eb767e7a653017b90c86802ef83262af382f4 scratchbox-libs-0.9.8.8.tar.gz 13671293
+SHA256 b93d1edc4233df00f9bb4cadac85b97852b5813e4f7481ab4e513ae471ed228f scratchbox-libs-0.9.8.8.tar.gz 13671293
diff --git a/sys-devel/scratchbox/scratchbox-0.9.8.8.ebuild b/sys-devel/scratchbox/scratchbox-0.9.8.8.ebuild
new file mode 100644
index 000000000..13371d874
--- /dev/null
+++ b/sys-devel/scratchbox/scratchbox-0.9.8.8.ebuild
@@ -0,0 +1,114 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils
+
+MAJOR_VERSION=${PV%\.[0-9]}
+
+SBOX_GROUP="sbox"
+RESTRICT="strip"
+
+DESCRIPTION="Scratchbox is a cross-compilation toolkit designed to make embedded Linux application development easier."
+HOMEPAGE="http://www.scratchbox.org/"
+SRC_URI="http://scratchbox.org/download/files/sbox-releases/${MAJOR_VERSION}/tarball/scratchbox-core-${PV}.tar.gz
+ http://scratchbox.org/download/files/sbox-releases/${MAJOR_VERSION}/tarball/scratchbox-libs-${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND=""
+
+TARGET_DIR="/opt/scratchbox"
+
+S=${WORKDIR}/scratchbox
+
+src_install() {
+ cd "${S}"
+ dodir ${TARGET_DIR}
+ # doins doesn't work with symlinks, getting "file not found" with doins
+ cp -pRP ./* "${D}/${TARGET_DIR}"
+ dosym opt/scratchbox scratchbox
+
+ # scratchbox service loader
+ newinitd "${FILESDIR}/scratchbox.rc" scratchbox || die "newinitd failed"
+
+ # group already created
+ echo ${SBOX_GROUP} > "${D}/${TARGET_DIR}/.run_me_first_done"
+}
+
+pkg_preinst() {
+ einfo "Creating group sbox"
+ enewgroup "${SBOX_GROUP}" || die "adding group '${SBOX_GROUP}' failed"
+}
+
+pkg_postinst() {
+ elog
+ elog "You need to run:"
+ elog "\"emerge --config =${CATEGORY}/${PF}\""
+ elog "to set permissions right and setup scratchbox and users"
+ elog
+ elog "For further documentation about how to setup"
+ elog "scratchbox for your development needs have a look at"
+ elog "http://scratchbox.org/documentation/user/scratchbox-${MAJOR_VERSION}/"
+ elog
+ elog "Also note that when you reboot you should run:"
+ elog "/etc/init.d/scratchbox start"
+ elog "before trying to run scratchbox."
+ elog "You can also add it to the default runlevel:"
+ elog "rc-update add scratchbox default"
+ elog
+ elog "Type /opt/scratchbox/login to start scratchbox."
+ elog
+}
+
+pkg_postrm() {
+ elog
+ elog "To remove all traces of scratchbox you will need to remove the file"
+ elog "/etc/init.d/scratchbox. Don't forget to delete the sbox group."
+ elog
+}
+
+pkg_config() {
+ if [ `id -u` != "0" ]; then
+ ewarn "Must be root to run this"
+ die "not root"
+ fi
+
+ einfo "Do you want to configure scratchbox? [Yes/No]"
+ einfo "Note: This will set permissions and copy files from the system into the scratchbox"
+ read choice
+ echo
+ case "$choice" in
+ y*|Y*|"")
+ "${TARGET_DIR}/sbin/sbox_configure" "no" ${SBOX_GROUP} || die "sbox_configure failed"
+ ;;
+ *)
+ ;;
+ esac
+
+ mkdir -p "${TARGET_DIR}/scratchbox/users"
+
+ while true; do
+ einfo "Existing users:"
+ einfo $(ls "${TARGET_DIR}/users")
+ echo
+
+ einfo "Create new user (leaf empty to skip): "
+ read newuser
+ case "$newuser" in
+ "")
+ break;
+ ;;
+ *)
+ einfo "Note: users have to be in the '${SBOX_GROUP}' to be able to login into the scratchbox"
+ "${TARGET_DIR}/sbin/sbox_adduser" ${newuser} || die "sbox_adduser failed"
+ ;;
+ esac
+ done
+
+ einfo "Configuration finished. Make sure you run '/etc/init.d/scratchbox start' before logging in."
+}